---
id: components/activityindicator
title: ActivityIndicator
layout: docs
category: Components
permalink: docs/components/activityindicator.html
next: components/button
---

This component displays an animated "spinner" control that tells the user that an operation is pending. Animation continues as long as the component is displayed.

## Props
``` javascript
// Color of indicator
color: color;

// Number of ms to wait before displaying
deferTime: number = 0;

// Size of indicator (exact sizes are platform-specific)
size: 'large' | 'medium' | 'small' | 'tiny';

// ID that can be used to identify the instantiated element for testing purposes.
testId: string = undefined;
```

## Styles
[**Flexbox Styles**](/reactxp/docs/styles.html#flexbox-style-attributes)

[**View Styles**](/reactxp/docs/styles.html#view-style-attributes)

[**Transform Styles**](/reactxp/docs/styles.html#transform-style-attributes)


## Methods
No methods

