---
id: getting-started
title: Getting Started
layout: docs
category: Overview
permalink: docs/getting-started.html
next: using-reactxp
redirect_from:
  - "docs/index.html"
---

## Building Your First ReactXP App

To create your first ReactXP app, do the following:
1. Clone the ReactXP repo locally: ```git clone https://github.com/microsoft/reactxp```.
2. Open the ```samples``` directory and pick one of the samples and copy its directory to a new location. [Hello-World](https://github.com/Microsoft/reactxp/tree/master/samples/hello-world) provides a bare-bones starting app. [Hello-World-js](https://github.com/Microsoft/reactxp/tree/master/samples/hello-world-js) is a variant of Hello-World written in Javascript rather than TypeScript. [TodoList](https://github.com/Microsoft/reactxp/tree/master/samples/TodoList) is a more complex example and is a more appropriate starting point for production applications.
3. Follow the build instructions for the sample you've chosen.
4. If desired, rename the directory and project files to reflect the name of your app.

If you want to create a new ReactXP app, use the command-line tool [create-rx-app](https://github.com/a-tarasyuk/create-rx-app).

## Web Technologies

React apps are written using web programming techniques. This documentation assumes that you are already familiar with web programming concepts including the use of JavaScript, the browser DOM, browser event handling, and CSS styling. There are many online tutorials that cover these concepts.

While it is possible to write ReactXP apps in JavaScript, we recommend using TypeScript or Flow instead. These languages add type safety, compile-time error detection, and IntelliSense capabilities to JavaScript. If you are already familiar with JavaScript, it is easy to learn TypeScript. Here is a recommended [TypeScript tutorial](http://www.typescriptlang.org/docs/handbook/typescript-in-5-minutes.html).

## Understanding React

If you are new to React, you should first familiarize yourself with the core concepts. We provide an overview and some [simple examples](react_concepts.html). Also refer to the official [React](https://reactjs.org/) and [React Native](https://facebook.github.io/react-native/) documentation sites.

